Security Tasks
List all security tasks
List SecurityTask resources for the given application.
** Headers **
Authorization: Bearer <access_token>
** Scopes **
connectors.self:read-resource
GET
/
v1
/
resources
/
security_task
List all security tasks
curl --request GET \
--url https://api.vanta.com/v1/resources/security_task \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/resources/security_task"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/resources/security_task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resources": [
{
"displayName": "<string>",
"uniqueId": "<string>",
"externalUrl": "<string>",
"taskId": "<string>",
"taskTitle": "<string>",
"createdTimestamp": "2023-11-07T05:31:56Z",
"taskState": "OPEN",
"priority": "P0",
"assignees": [
"<string>"
],
"creator": "<string>",
"labels": [
"<string>"
],
"closedTimestamp": "2023-11-07T05:31:56Z",
"updatedTimestamp": "2023-11-07T05:31:56Z"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Vanta generated identifier for the given resource, and can be found on the developer console page. See the list of registered resources and their IDs on https://app.vanta.com/settings/developer-console/<app_id>?tab=resources
Response
200 - application/json
List of resources.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List all security tasks
